#plane of water fight 2
from eventAPI import *
from APIUtils import *

rtpowaterFlag2=0

def fireEvent(e):
   global rtpowaterFlag2
   rtpowaterFlag2 = getTag(e, "rtpowaterFlag2")
   if (rtpowaterFlag2 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Thirster", 9, 3, 10), ("Water Elemental", 20, 5, 10)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpowaterFlag2
   rtpofireFlag2 = 1
   setTag(e, "rtpowaterFlag2", rtpowaterFlag2)
